import { IconContext } from "react-icons/lib";
import DevControlPanel from "./components/DevControlPanel";
import FloatingMenu from "./components/FloatingMenu";
import { floatingMenuStructure } from "./configure";
import SwitchRouteGenerator from "./routes/SwitchRouteGenerator";
import routesTree from "./routes/routes";
// TODO: - [x] Rewrite new switch generating function based on custom routes object
// TODO: - [x] Make condition for base path in Router, for "/" in main.base_path don't add to Router
// TODO: - [x] Rewrite DevControlPanel to use custom routes object

function App() {
	return (
		<div>
			<IconContext.Provider value={{ className: "size-5" }}>
				<FloatingMenu menuStructure={floatingMenuStructure} />
			</IconContext.Provider>
			<SwitchRouteGenerator routesTree={routesTree} />
			<DevControlPanel routesTree={routesTree} />
		</div>
	);
}

export default App;
